Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config.element
Interface NavigationRule

All Known Implementing Classes:
  NavigationRule

public interface NavigationRule

Entry of the Collection returned by `RuntimeConfig.getNavigationRules()`.

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`java.lang.String` | `getFromViewId()`
`java.util.Collection` | `getNavigationCases()`

Method Detail

### getFromViewId

    public java.lang.String getFromViewId()

### getNavigationCases

    public java.util.Collection getNavigationCases()

  Returns:
    a Collection of `NavigationCase`s

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD